package gitlab

import (
	"context"

	"git.unistack.org/unistack-org/pkgdash/internal/configcli"
	"git.unistack.org/unistack-org/pkgdash/internal/modules"
)

type Gitlab struct {
	Token string
}

func NewGitlab(cfg configcli.Config) *Gitlab {
	return &Gitlab{
		Token: cfg.Source.Token,
	}
}

func (g *Gitlab) RequestOpen(ctx context.Context, branch string, path string, mod modules.Update) error {
	return nil
}
func (g *Gitlab) RequestClose(ctx context.Context, branch string, path string) error {
	return nil
}
func (g *Gitlab) RequestUpdate(ctx context.Context, branch string, path string, mod modules.Update) error {
	return nil
}
func (g *Gitlab) RequestList(ctx context.Context, branch string) (map[string]string, error) {
	return nil, nil
}
